> ## Documentation Index
> Fetch the complete documentation index at: https://aegisterspa.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Organization user list

> Retrieve Organization's user list.

The authenticated user can retrieve the user list if is part of the organization and has at least Security Officer priviledges.



## OpenAPI

````yaml get /api/v1/organizations/{organizationid}/users
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.3
servers: []
security: []
paths:
  /api/v1/organizations/{organizationid}/users:
    get:
      tags:
        - organizations
      description: >-
        Retrieve Organization's user list.


        The authenticated user can retrieve the user list if is part of the
        organization and has at least Security Officer priviledges.
      operationId: organizations_users_retrieve
      parameters:
        - in: path
          name: organizationid
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: >-
                            Unique identifier for the User.  

                            This is in `uuid` format because it's retrieved from
                            Keycloak.
                        username:
                          type: string
                          format: email
                          description: User login username.
                        email:
                          type: string
                          format: email
                          description: User principal email address.
                        first_name:
                          type: string
                          description: User first name.
                          examples:
                            - John
                        last_name:
                          type: string
                          description: User last name.
                          examples:
                            - Smith
                        role:
                          type: string
                          description: User role inside of the organization.
                          enum:
                            - viewer
                            - security_officer
                            - owner
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````